#pragma once
#include "16KPageView.h"

// C16KPageContainer
#define C16KP_FIRST_PAGE 0
#define C16KP_SECOND_PAGE 1
#define C16KP_NUM_PAGES 2

struct S16kPage
{
	C16KPageView *pPage;
	CString strScrName; //имя окна экрана
	UINT nPageNum; //номер этого объекта, чтобы ID кнопок различались.
	BYTE *pBuffer; //указатель на отображаемый буфер в окне экрана
	size_t nBufSize; //размер этого буфера
};


class C16KPageContainer : public CWnd
{
		DECLARE_DYNAMIC(C16KPageContainer)

		UINT m_nNumPages; //количество страниц в контейнере (не больше C16KP_NUM_PAGES)
		S16kPage m_s16kpage[C16KP_NUM_PAGES]; //Массив страниц в контейнере

	public:
		C16KPageContainer(UINT nNumPages);
		virtual ~C16KPageContainer();
		void SetBuffer_Param(UINT nPageNum, BYTE *buffer, size_t size, UINT num, CString &strName);
		void Draw16KPages();
	protected:
		afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
		afx_msg void OnDestroy();
		DECLARE_MESSAGE_MAP()
};


